unit uMontajesViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils, uEditorMontajes, uEditorMontaje, uEditorElegirMontajes,
  uEditorSituacionMontaje;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorMontaje, 'EditorMontaje');
  EditorRegistry.RegisterClass(TfEditorMontajes, 'EditorMontajes');
  EditorRegistry.RegisterClass(TfEditorElegirMontajes, 'EditorElegirMontajes');
  EditorRegistry.RegisterClass(TfEditorSituacionMontaje, 'EditorSituacionMontaje');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorMontaje);
  EditorRegistry.UnRegisterClass(TfEditorMontajes);
  EditorRegistry.UnRegisterClass(TfEditorElegirMontajes);
  EditorRegistry.UnRegisterClass(TfEditorSituacionMontaje);
end;

end.
